Magick++: Magick::Blob Class Reference

Magick++ 7.0.10

Public Types | Public Member Functions | List of all members
Magick::Blob Class Reference

`#include <Blob.h>`

## Public Types
enum | Allocator { MallocAllocator, NewAllocator }

## Public Member Functions
| Blob (void)
| Blob (const void *data_, const size_t length_)
| Blob (const Blob &blob_)
virtual | ~Blob ()
Blob & | operator= (const Blob &blob_)
void | base64 (const std::string base64_)
std::string | base64 (void) const
const void * | data (void) const
size_t | length (void) const
void | update (const void *data_, const size_t length_)
void | updateNoCopy (void *data_, const size_t length_, const Allocator allocator_=NewAllocator)

## Detailed Description

Definition at line 20 of file Blob.h.

## Member Enumeration Documentation

## ◆ Allocator

enum Magick::Blob::Allocator

Enumerator
MallocAllocator |
NewAllocator |

Definition at line 24 of file Blob.h.

## Constructor & Destructor Documentation

## ◆ Blob() [1/3]

Magick::Blob::Blob | ( | void |  | ) |

Definition at line 19 of file Blob.cpp.

## ◆ Blob() [2/3]

Magick::Blob::Blob | ( | const void * | data_,
|  | const size_t | length_
| ) |  |

Definition at line 24 of file Blob.cpp.

## ◆ Blob() [3/3]

Magick::Blob::Blob | ( | const Blob & | blob_ | ) |

Definition at line 29 of file Blob.cpp.

References Magick::BlobRef::increase().

## ◆ ~Blob()

Magick::Blob::~Blob | ( |  | ) |
| virtual

Definition at line 36 of file Blob.cpp.

## Member Function Documentation

## ◆ base64() [1/2]

void Magick::Blob::base64 | ( | const std::string | base64_ | ) |

Definition at line 63 of file Blob.cpp.

References MallocAllocator.

## ◆ base64() [2/2]

std::string Magick::Blob::base64 | ( | void |  | ) | const

Definition at line 78 of file Blob.cpp.

## ◆ data()

const void * Magick::Blob::data | ( | void |  | ) | const

Definition at line 103 of file Blob.cpp.

Referenced by Magick::Image::exifProfile(), Magick::Image::iptcProfile(), Magick::Image::ping(), Magick::Image::profile(), Magick::Image::read(), and Magick::readImages().

## ◆ length()

size_t Magick::Blob::length | ( | void |  | ) | const

Definition at line 108 of file Blob.cpp.

Referenced by Magick::Image::exifProfile(), Magick::Image::iptcProfile(), Magick::Image::ping(), Magick::Image::profile(), Magick::Image::read(), and Magick::readImages().

## ◆ operator=()

Magick::Blob & Magick::Blob::operator= | ( | const Blob & | blob_ | ) |

Definition at line 50 of file Blob.cpp.

References Magick::BlobRef::increase().

## ◆ update()

void Magick::Blob::update | ( | const void * | data_,
|  | const size_t | length_
| ) |  |

Definition at line 113 of file Blob.cpp.

## ◆ updateNoCopy()

void Magick::Blob::updateNoCopy | ( | void * | data_,
|  | const size_t | length_,
|  | const Allocator | allocator_ = `NewAllocator`
| ) |  |

Definition at line 121 of file Blob.cpp.

Referenced by Magick::Image::write(), and Magick::writeImages().

The documentation for this class was generated from the following files:

- Blob.h
- Blob.cpp